# Class ToggleMethodBreakpointActionDelegate

java.lang.Object
org.eclipse.debug.internal.ui.actions.breakpoints.ToggleBreakpointObjectActionDelegate
org.eclipse.debug.ui.actions.ToggleMethodBreakpointActionDelegate

All Implemented Interfaces:
  `IActionDelegate, IActionDelegate2, IObjectActionDelegate`

public class ToggleMethodBreakpointActionDelegate extends org.eclipse.debug.internal.ui.actions.breakpoints.ToggleBreakpointObjectActionDelegate
A toggle method breakpoint action that can be contributed an object contribution. The action will toggle method breakpoints on objects that provide an `IToggleBreakpointsTarget` adapter.

Clients may reference/contribute this class as an object contribution action delegate in plug-in XML.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`ToggleMethodBreakpointActionDelegate()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`performAction(IToggleBreakpointsTarget target, IWorkbenchPart part, ISelection selection)`
Performs the operation specific to this action.

### Methods inherited from class org.eclipse.debug.internal.ui.actions.breakpoints.ToggleBreakpointObjectActionDelegate

`dispose, init, run, runWithEvent, selectionChanged, setActivePart`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ToggleMethodBreakpointActionDelegate

public ToggleMethodBreakpointActionDelegate()

## Method Details

### performAction

protected void performAction(IToggleBreakpointsTarget target, IWorkbenchPart part, ISelection selection) throws CoreException
Description copied from class: `org.eclipse.debug.internal.ui.actions.breakpoints.ToggleBreakpointObjectActionDelegate`
Performs the operation specific to this action.

Specified by:
  `performAction` in class `org.eclipse.debug.internal.ui.actions.breakpoints.ToggleBreakpointObjectActionDelegate`
Parameters:
  `target` - adapter to toggle breakpoints
  `part` - the active part
  `selection` - the selection in the active part
Throws:
  `CoreException` - if an exception occurs